Package org.drinkless.tdlib

# Class TdApi.ChatRevenueTransactionTypeEarnings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatRevenueTransactionType
org.drinkless.tdlib.TdApi.ChatRevenueTransactionTypeEarnings

Enclosing class:
  TdApi

public static class TdApi.ChatRevenueTransactionTypeEarnings extends TdApi.ChatRevenueTransactionType
Describes earnings from sponsored messages in a chat in some time frame.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatRevenueTransactionType

  `TdApi.ChatRevenueTransactionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `endDate`
  Point in time (Unix timestamp) when the earnings ended.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the earnings started.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatRevenueTransactionTypeEarnings()`
  Describes earnings from sponsored messages in a chat in some time frame.
  `ChatRevenueTransactionTypeEarnings(int startDate, int endDate)`
  Describes earnings from sponsored messages in a chat in some time frame.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the earnings started.

  - ### endDate

    public int endDate
    Point in time (Unix timestamp) when the earnings ended.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatRevenueTransactionTypeEarnings

    public ChatRevenueTransactionTypeEarnings()
    Describes earnings from sponsored messages in a chat in some time frame.

  - ### ChatRevenueTransactionTypeEarnings

    public ChatRevenueTransactionTypeEarnings(int startDate, int endDate)
    Describes earnings from sponsored messages in a chat in some time frame.
    Parameters:
      `startDate` - Point in time (Unix timestamp) when the earnings started.
      `endDate` - Point in time (Unix timestamp) when the earnings ended.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatRevenueTransactionType`
    Returns:
      this.CONSTRUCTOR